import httpRequest from '@/utils/axios'

// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/lab/v1/common/permission/role')
}

// 退出登录
export function logout() {
  return httpRequest.get('/api/passport/rest/logout')
}

// 获取oss token
export function getToken() {
  return httpRequest.get('/api/usercenter/aliyun/assume-role')
}

// 获取oss signature
export function getSignature() {
  return httpRequest.get('/api/usercenter/aliyun/get-signature')
}

// 图片上传
export async function uploadFile(data: Record<string, any>) {
  await httpRequest.post(data.host || 'https://webapp-pub.ezijing.com', data, {
    withCredentials: false,
    headers: { 'Content-Type': 'multipart/form-data' },
  })
  return data
}

// 获取公共字典列表
export function getMapList() {
  return httpRequest.get('/api/resource/v1/util/get-data-dictionary-list')
}

// 我的数据集列表
export function getMyList(params?: Partial<{ page: number; 'per-page': number }>) {
  // return Promise.resolve({
  //   code: 0,
  //   message: 'OK',
  //   data: {
  //     total: 10,
  //     title: [
  //       {
  //         name: '序号',
  //         english_name: 'pk_id',
  //         type: 'INT',
  //       },
  //       {
  //         name: '订单编号',
  //         english_name: 'order_number',
  //         type: 'VARCHAR(7)',
  //       },
  //       {
  //         name: '品牌',
  //         english_name: 'brand',
  //         type: 'VARCHAR(12)',
  //       },
  //       {
  //         name: '店铺',
  //         english_name: 'store',
  //         type: 'VARCHAR(21)',
  //       },
  //       {
  //         name: '负责人',
  //         english_name: 'person_in_charge',
  //         type: 'VARCHAR(9)',
  //       },
  //       {
  //         name: '商品',
  //         english_name: 'product',
  //         type: 'VARCHAR(21)',
  //       },
  //       {
  //         name: '颜色',
  //         english_name: 'color',
  //         type: 'VARCHAR(6)',
  //       },
  //       {
  //         name: '客户购买类型',
  //         english_name: 'customer_purchase_type',
  //         type: 'VARCHAR(6)',
  //       },
  //       {
  //         name: '销量',
  //         english_name: 'sales_volume',
  //         type: 'SMALLINT',
  //       },
  //       {
  //         name: '单价',
  //         english_name: 'unit_price',
  //         type: 'DECIMAL(5, 2)',
  //       },
  //       {
  //         name: '销售额',
  //         english_name: 'sales_amount',
  //         type: 'DECIMAL(6, 2)',
  //       },
  //       {
  //         name: '是否优惠',
  //         english_name: 'is_discounted',
  //         type: 'VARCHAR(18)',
  //       },
  //       {
  //         name: '优惠金额',
  //         english_name: 'discount_amount',
  //         type: 'SMALLINT',
  //       },
  //       {
  //         name: '实际单价',
  //         english_name: 'actual_unit_price',
  //         type: 'DECIMAL(5, 2)',
  //       },
  //       {
  //         name: '实际付款',
  //         english_name: 'actual_payment',
  //         type: 'DECIMAL(6, 2)',
  //       },
  //       {
  //         name: '成本',
  //         english_name: 'cost',
  //         type: 'DECIMAL(7, 3)',
  //       },
  //       {
  //         name: '利润',
  //         english_name: 'profit',
  //         type: 'DECIMAL(6, 3)',
  //       },
  //       {
  //         name: '客户性别',
  //         english_name: 'customer_gender',
  //         type: 'TINYINT',
  //       },
  //       {
  //         name: '客户年龄',
  //         english_name: 'customer_age',
  //         type: 'VARCHAR(5)',
  //       },
  //       {
  //         name: '会员情况',
  //         english_name: 'membership_status',
  //         type: 'VARCHAR(12)',
  //       },
  //       {
  //         name: '是否访问页面',
  //         english_name: 'has_visited_page',
  //         type: 'VARCHAR(3)',
  //       },
  //       {
  //         name: '访问页面时长',
  //         english_name: 'page_visit_duration',
  //         type: 'TINYINT',
  //       },
  //       {
  //         name: '交易状态',
  //         english_name: 'transaction_status',
  //         type: 'VARCHAR(12)',
  //       },
  //       {
  //         name: '商品状态',
  //         english_name: 'product_status',
  //         type: 'VARCHAR(9)',
  //       },
  //       {
  //         name: '收货人姓名',
  //         english_name: 'recipient_name',
  //         type: 'VARCHAR(9)',
  //       },
  //       {
  //         name: '收货人电话',
  //         english_name: 'recipient_phone',
  //         type: 'VARCHAR(11)',
  //       },
  //       {
  //         name: '发货地址',
  //         english_name: 'shipping_address',
  //         type: 'VARCHAR(9)',
  //       },
  //       {
  //         name: '收货地址省份',
  //         english_name: 'recipient_province',
  //         type: 'VARCHAR(21)',
  //       },
  //       {
  //         name: '收货地址',
  //         english_name: 'recipient_address',
  //         type: 'VARCHAR(39)',
  //       },
  //       {
  //         name: '物流公司',
  //         english_name: 'logistics_company',
  //         type: 'VARCHAR(15)',
  //       },
  //       {
  //         name: '运单号',
  //         english_name: 'waybill_number',
  //         type: 'VARCHAR(7)',
  //       },
  //       {
  //         name: '运送方式',
  //         english_name: 'shipping_method',
  //         type: 'VARCHAR(12)',
  //       },
  //       {
  //         name: '支付时间',
  //         english_name: 'payment_time',
  //         type: 'VARCHAR(10)',
  //       },
  //       {
  //         name: '预计到达时间',
  //         english_name: 'estimated_arrival_time',
  //         type: 'VARCHAR(10)',
  //       },
  //       {
  //         name: '实际到达时间',
  //         english_name: 'actual_arrival_time',
  //         type: 'VARCHAR(10)',
  //       },
  //       {
  //         name: '快递反馈',
  //         english_name: 'courier_feedback',
  //         type: 'VARCHAR(6)',
  //       },
  //       {
  //         name: '是否退货',
  //         english_name: 'is_returned',
  //         type: 'VARCHAR(3)',
  //       },
  //       {
  //         name: '退款原因',
  //         english_name: 'refund_reason',
  //         type: 'VARCHAR(9)',
  //       },
  //       {
  //         name: '客户满意度',
  //         english_name: 'customer_satisfaction',
  //         type: 'VARCHAR(9)',
  //       },
  //       {
  //         name: '出生日期',
  //         english_name: 'date_of_birth',
  //         type: 'VARCHAR(17)',
  //       },
  //       {
  //         name: '品类',
  //         english_name: 'category',
  //         type: 'VARCHAR(9)',
  //       },
  //       {
  //         name: '材质',
  //         english_name: 'material',
  //         type: 'VARCHAR(6)',
  //       },
  //     ],
  //     list: [
  //       {
  //         pk_id: '1',
  //         order_number: 'A929818',
  //         brand: '丽丽',
  //         store: '卡卡家女装',
  //         person_in_charge: '袁英',
  //         product: '安全裤',
  //         color: '红色',
  //         customer_purchase_type: '零售',
  //         sales_volume: '256',
  //         unit_price: '156.14',
  //         sales_amount: '156.14',
  //         is_discounted: '店铺活动优惠',
  //         discount_amount: '12',
  //         actual_unit_price: '144.14',
  //         actual_payment: '144.14',
  //         cost: '99.460',
  //         profit: '44.680',
  //         customer_gender: '0',
  //         customer_age: '33岁',
  //         membership_status: '无会员',
  //         has_visited_page: '是',
  //         page_visit_duration: '2',
  //         transaction_status: '交易成功',
  //         product_status: '已收货',
  //         recipient_name: '孙倩',
  //         recipient_phone: '181****4056',
  //         shipping_address: '福建省',
  //         recipient_province: '陕西省',
  //         recipient_address: '陕西省延安市子长县',
  //         logistics_company: '   百世快递',
  //         waybill_number: 'L810590',
  //         shipping_method: '公路运输',
  //         payment_time: '6/21/2020',
  //         estimated_arrival_time: '6/26/2020',
  //         actual_arrival_time: '6/26/2020',
  //         courier_feedback: '准时',
  //         is_returned: '否',
  //         refund_reason: '无',
  //         customer_satisfaction: '中评',
  //         date_of_birth: '1989年10月26日',
  //         category: '女裤',
  //         material: '麻质',
  //       },
  //       {
  //         pk_id: '2',
  //         order_number: 'A451538',
  //         brand: '雅羊人',
  //         store: '秋兰女装专卖店',
  //         person_in_charge: '刘佳',
  //         product: '不规则连衣裙',
  //         color: '粉色',
  //         customer_purchase_type: '零售',
  //         sales_volume: '198',
  //         unit_price: '247.44',
  //         sales_amount: '247.44',
  //         is_discounted: '无',
  //         discount_amount: '0',
  //         actual_unit_price: '247.44',
  //         actual_payment: '247.44',
  //         cost: '158.360',
  //         profit: '89.080',
  //         customer_gender: '0',
  //         customer_age: '36岁',
  //         membership_status: '无会员',
  //         has_visited_page: '是',
  //         page_visit_duration: '8',
  //         transaction_status: '交易成功',
  //         product_status: '已收货',
  //         recipient_name: '余玉英',
  //         recipient_phone: '181****8027',
  //         shipping_address: '广东省',
  //         recipient_province: '⼴西壮族⾃治区',
  //         recipient_address: '广西壮族自治区贵港市',
  //         logistics_company: '极兔快  递',
  //         waybill_number: 'L806051',
  //         shipping_method: '公路运输',
  //         payment_time: '4/13/2023',
  //         estimated_arrival_time: '4/15/2023',
  //         actual_arrival_time: '4/15/2023',
  //         courier_feedback: '准时',
  //         is_returned: '否',
  //         refund_reason: '无',
  //         customer_satisfaction: '好评',
  //         date_of_birth: '1986年7月17日',
  //         category: '连衣裙',
  //         material: '氨纶',
  //       },
  //       {
  //         pk_id: '3',
  //         order_number: 'A479212',
  //         brand: '威兰西',
  //         store: '威兰西旗舰店',
  //         person_in_charge: '陈建平',
  //         product: '网红同款连衣裙',
  //         color: '白色',
  //         customer_purchase_type: '零售',
  //         sales_volume: '128',
  //         unit_price: '245.49',
  //         sales_amount: '245.49',
  //         is_discounted: '双12优惠',
  //         discount_amount: '15',
  //         actual_unit_price: '230.49',
  //         actual_payment: '230.49',
  //         cost: '117.550',
  //         profit: '112.940',
  //         customer_gender: '0',
  //         customer_age: '22岁',
  //         membership_status: '无会员',
  //         has_visited_page: '是',
  //         page_visit_duration: '4',
  //         transaction_status: '交易成功',
  //         product_status: '已收货',
  //         recipient_name: '杨军',
  //         recipient_phone: '139****7024',
  //         shipping_address: '浙江省',
  //         recipient_province: '河北省',
  //         recipient_address: '河北省衡水市武强县',
  //         logistics_company: '顺丰快递',
  //         waybill_number: 'L356804',
  //         shipping_method: '公路运输',
  //         payment_time: '12/1/2019',
  //         estimated_arrival_time: '12/6/2019',
  //         actual_arrival_time: '12/7/2019',
  //         courier_feedback: '延后',
  //         is_returned: '否',
  //         refund_reason: '无',
  //         customer_satisfaction: '好评',
  //         date_of_birth: '2000年5月3日',
  //         category: '连衣裙',
  //         material: '棉质',
  //       },
  //       {
  //         pk_id: '4',
  //         order_number: 'A389270',
  //         brand: 'H&R',
  //         store: '壹佰女装',
  //         person_in_charge: '杨兰英',
  //         product: '蕾丝花边T恤',
  //         color: '紫色',
  //         customer_purchase_type: '批发',
  //         sales_volume: '13',
  //         unit_price: '168.30',
  //         sales_amount: '2187.90',
  //         is_discounted: '双11优惠',
  //         discount_amount: '200',
  //         actual_unit_price: '152.92',
  //         actual_payment: '1987.90',
  //         cost: '1013.830',
  //         profit: '974.070',
  //         customer_gender: '0',
  //         customer_age: '26岁',
  //         membership_status: '无会员',
  //         has_visited_page: '是',
  //         page_visit_duration: '4',
  //         transaction_status: '交易成功',
  //         product_status: '已收货',
  //         recipient_name: '郑强',
  //         recipient_phone: '159****6299',
  //         shipping_address: '四川省',
  //         recipient_province: '河南省',
  //         recipient_address: '河南省郑州市新密市',
  //         logistics_company: '顺丰快递',
  //         waybill_number: 'L335437',
  //         shipping_method: '公路运输',
  //         payment_time: '11/10/2019',
  //         estimated_arrival_time: '11/14/2019',
  //         actual_arrival_time: '11/15/2019',
  //         courier_feedback: '延后',
  //         is_returned: '否',
  //         refund_reason: '无',
  //         customer_satisfaction: '好评',
  //         date_of_birth: '1996年5月4日',
  //         category: '上衣',
  //         material: '棉质',
  //       },
  //       {
  //         pk_id: '5',
  //         order_number: 'A327122',
  //         brand: 'H&R',
  //         store: 'H&R旗舰店',
  //         person_in_charge: '袁英',
  //         product: '春夏新款连衣裙',
  //         color: '红色',
  //         customer_purchase_type: '批发',
  //         sales_volume: '13',
  //         unit_price: '119.64',
  //         sales_amount: '1555.32',
  //         is_discounted: '无',
  //         discount_amount: '0',
  //         actual_unit_price: '119.64',
  //         actual_payment: '1555.32',
  //         cost: '839.870',
  //         profit: '715.450',
  //         customer_gender: '0',
  //         customer_age: '22岁',
  //         membership_status: '无会员',
  //         has_visited_page: '是',
  //         page_visit_duration: '8',
  //         transaction_status: '交易成功',
  //         product_status: '已收货',
  //         recipient_name: '刘冬梅',
  //         recipient_phone: '185****4586',
  //         shipping_address: '广东省',
  //         recipient_province: '陕西省',
  //         recipient_address: '陕西省延安市富县',
  //         logistics_company: '中通快递',
  //         waybill_number: 'L209106',
  //         shipping_method: '公路运输',
  //         payment_time: '4/28/2019',
  //         estimated_arrival_time: '4/30/2019',
  //         actual_arrival_time: '4/30/2019',
  //         courier_feedback: '准时',
  //         is_returned: '否',
  //         refund_reason: '无',
  //         customer_satisfaction: '无评论',
  //         date_of_birth: '2000年7月3日',
  //         category: '连衣裙',
  //         material: '氨纶',
  //       },
  //       {
  //         pk_id: '6',
  //         order_number: 'A577484',
  //         brand: 'H&R',
  //         store: 'COCO女装',
  //         person_in_charge: '刘佳',
  //         product: '秋冬款连衣裙',
  //         color: '粉色',
  //         customer_purchase_type: '批发',
  //         sales_volume: '12',
  //         unit_price: '173.70',
  //         sales_amount: '2084.40',
  //         is_discounted: '店铺活动优惠',
  //         discount_amount: '100',
  //         actual_unit_price: '165.37',
  //         actual_payment: '1984.40',
  //         cost: '1091.420',
  //         profit: '892.980',
  //         customer_gender: '0',
  //         customer_age: '61岁',
  //         membership_status: '钻石会员',
  //         has_visited_page: '是',
  //         page_visit_duration: '7',
  //         transaction_status: '交易成功',
  //         product_status: '已收货',
  //         recipient_name: '谢博',
  //         recipient_phone: '147****5024',
  //         shipping_address: '广东省',
  //         recipient_province: '⽢肃省',
  //         recipient_address: '甘肃省甘南藏族自治州卓尼县',
  //         logistics_company: '申通快递',
  //         waybill_number: 'L913348',
  //         shipping_method: '航空运输',
  //         payment_time: '4/7/2019',
  //         estimated_arrival_time: '4/11/2019',
  //         actual_arrival_time: '4/11/2019',
  //         courier_feedback: '准时',
  //         is_returned: '否',
  //         refund_reason: '无',
  //         customer_satisfaction: '中评',
  //         date_of_birth: '1961年8月12日',
  //         category: '连衣裙',
  //         material: '麻质',
  //       },
  //       {
  //         pk_id: '7',
  //         order_number: 'A293474',
  //         brand: '拉夏贝尔',
  //         store: '拉夏贝尔旗舰店',
  //         person_in_charge: '刘佳',
  //         product: '泫雅风T恤',
  //         color: '粉色',
  //         customer_purchase_type: '批发',
  //         sales_volume: '12',
  //         unit_price: '162.02',
  //         sales_amount: '1944.24',
  //         is_discounted: '双11优惠',
  //         discount_amount: '200',
  //         actual_unit_price: '145.35',
  //         actual_payment: '1744.24',
  //         cost: '1186.080',
  //         profit: '558.160',
  //         customer_gender: '0',
  //         customer_age: '59岁',
  //         membership_status: '普通会员',
  //         has_visited_page: '是',
  //         page_visit_duration: '2',
  //         transaction_status: '交易成功',
  //         product_status: '已收货',
  //         recipient_name: '赵丽丽',
  //         recipient_phone: '186****8566',
  //         shipping_address: '浙江省',
  //         recipient_province: '⼴东省',
  //         recipient_address: '广东省梅州市',
  //         logistics_company: '圆通快递',
  //         waybill_number: 'L841704',
  //         shipping_method: '铁路运输',
  //         payment_time: '11/10/2019',
  //         estimated_arrival_time: '11/15/2019',
  //         actual_arrival_time: '11/15/2019',
  //         courier_feedback: '准时',
  //         is_returned: '否',
  //         refund_reason: '无',
  //         customer_satisfaction: '中评',
  //         date_of_birth: '1963年5月27日',
  //         category: '上衣',
  //         material: '氨纶',
  //       },
  //       {
  //         pk_id: '8',
  //         order_number: 'A424004',
  //         brand: '艾米丽',
  //         store: '卡卡家女装',
  //         person_in_charge: '宋建华',
  //         product: '大码牛仔裤',
  //         color: '红色',
  //         customer_purchase_type: '批发',
  //         sales_volume: '11',
  //         unit_price: '73.54',
  //         sales_amount: '808.94',
  //         is_discounted: '双11优惠',
  //         discount_amount: '100',
  //         actual_unit_price: '64.45',
  //         actual_payment: '708.94',
  //         cost: '425.360',
  //         profit: '283.580',
  //         customer_gender: '0',
  //         customer_age: '23岁',
  //         membership_status: '无会员',
  //         has_visited_page: '是',
  //         page_visit_duration: '8',
  //         transaction_status: '交易成功',
  //         product_status: '已收货',
  //         recipient_name: '谢雷',
  //         recipient_phone: '150****7487',
  //         shipping_address: '浙江省',
  //         recipient_province: '宁夏回族自治区',
  //         recipient_address: '宁夏回族自治区银川市贺兰县',
  //         logistics_company: '   百世快递',
  //         waybill_number: 'L451724',
  //         shipping_method: '公路运输',
  //         payment_time: '11/27/2023',
  //         estimated_arrival_time: '12/1/2023',
  //         actual_arrival_time: '12/1/2023',
  //         courier_feedback: '准时',
  //         is_returned: '否',
  //         refund_reason: '无',
  //         customer_satisfaction: '好评',
  //         date_of_birth: '1999年12月18日',
  //         category: '女裤',
  //         material: '锦纶',
  //       },
  //       {
  //         pk_id: '9',
  //         order_number: 'A561021',
  //         brand: 'TARA',
  //         store: 'TARA旗舰店',
  //         person_in_charge: '邹勇',
  //         product: '春夏季新款裤子',
  //         color: '橙色',
  //         customer_purchase_type: '批发',
  //         sales_volume: '11',
  //         unit_price: '57.25',
  //         sales_amount: '629.75',
  //         is_discounted: '双12优惠',
  //         discount_amount: '150',
  //         actual_unit_price: '43.61',
  //         actual_payment: '479.75',
  //         cost: '287.850',
  //         profit: '191.900',
  //         customer_gender: '0',
  //         customer_age: '36岁',
  //         membership_status: '普通会员',
  //         has_visited_page: '是',
  //         page_visit_duration: '7',
  //         transaction_status: '交易成功',
  //         product_status: '已收货',
  //         recipient_name: '王桂珍',
  //         recipient_phone: '137****8424',
  //         shipping_address: '福建省',
  //         recipient_province: '湖南省',
  //         recipient_address: '湖南省永州市市辖区',
  //         logistics_company: '申通快递',
  //         waybill_number: 'L948843',
  //         shipping_method: '公路运输',
  //         payment_time: '12/17/2019',
  //         estimated_arrival_time: '12/19/2019',
  //         actual_arrival_time: '12/19/2019',
  //         courier_feedback: '准时',
  //         is_returned: '否',
  //         refund_reason: '无',
  //         customer_satisfaction: '好评',
  //         date_of_birth: '1986年6月1日',
  //         category: '女裤',
  //         material: '锦纶',
  //       },
  //       {
  //         pk_id: '10',
  //         order_number: 'A191677',
  //         brand: '富贵人',
  //         store: '富贵人旗舰店',
  //         person_in_charge: '刘佳',
  //         product: '蕾丝花边T恤',
  //         color: '粉色',
  //         customer_purchase_type: '批发',
  //         sales_volume: '11',
  //         unit_price: '117.92',
  //         sales_amount: '1297.12',
  //         is_discounted: '无',
  //         discount_amount: '0',
  //         actual_unit_price: '117.92',
  //         actual_payment: '1297.12',
  //         cost: '674.500',
  //         profit: '622.620',
  //         customer_gender: '0',
  //         customer_age: '38岁',
  //         membership_status: '无会员',
  //         has_visited_page: '否',
  //         page_visit_duration: '0',
  //         transaction_status: '交易取消',
  //         product_status: '已取消',
  //         recipient_name: '梁秀华',
  //         recipient_phone: '136****1451',
  //         shipping_address: '广东省',
  //         recipient_province: '⼭东省',
  //         recipient_address: '山东省聊城市冠县',
  //         logistics_company: '申通快递',
  //         waybill_number: 'L385723',
  //         shipping_method: '航空运输',
  //         payment_time: '12/3/2019',
  //         estimated_arrival_time: '12/8/2019',
  //         actual_arrival_time: '12/8/2019',
  //         courier_feedback: '准时',
  //         is_returned: '是',
  //         refund_reason: '不喜欢',
  //         customer_satisfaction: '无评论',
  //         date_of_birth: '1984年2月27日',
  //         category: '上衣',
  //         material: '棉质',
  //       },
  //     ],
  //     info: {
  //       id: '7306145818979860480',
  //       experiment_id: '7028276368903241728',
  //       name: '王',
  //       table_name: '7028276368903241728_6602032005293015040_my_data',
  //       type: '2',
  //       source: {
  //         name: '《商务数据分析基础》数据集-电子商务-10条.xlsx',
  //         url: 'https://webapp-pub.ezijing.com/upload/saas-bi/f6a1ab335e0a19935b750537e5d8a6f2.xlsx',
  //       },
  //       created_operator: '6602032005293015040',
  //       created_time: '2025-03-14 10:55:04',
  //       updated_operator: '6602032005293015040',
  //       updated_time: '2025-03-14 16:31:47',
  //     },
  //   },
  // })
  return httpRequest.get('/api/resource/bi/v1/data/my/list', { params })
}

// 查看字段详情
export function getMyField() {
  // return Promise.resolve({
  //   code: 0,
  //   message: 'OK',
  //   data: [
  //     {
  //       name: '订单编号',
  //       english_name: 'order_number',
  //       type: 'VARCHAR(7)',
  //       length: '7',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '品牌',
  //       english_name: 'brand',
  //       type: 'VARCHAR(12)',
  //       length: '12',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '店铺',
  //       english_name: 'store',
  //       type: 'VARCHAR(21)',
  //       length: '21',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '负责人',
  //       english_name: 'person_in_charge',
  //       type: 'VARCHAR(9)',
  //       length: '9',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '商品',
  //       english_name: 'product',
  //       type: 'VARCHAR(21)',
  //       length: '21',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '颜色',
  //       english_name: 'color',
  //       type: 'VARCHAR(6)',
  //       length: '6',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '客户购买类型',
  //       english_name: 'customer_purchase_type',
  //       type: 'VARCHAR(6)',
  //       length: '6',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '销量',
  //       english_name: 'sales_volume',
  //       type: 'SMALLINT',
  //       length: '',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '整数',
  //     },
  //     {
  //       name: '单价',
  //       english_name: 'unit_price',
  //       type: 'DECIMAL(5, 2)',
  //       length: '5',
  //       point: '2',
  //       null: '允许',
  //       default: '',
  //       type_name: '小数',
  //     },
  //     {
  //       name: '销售额',
  //       english_name: 'sales_amount',
  //       type: 'DECIMAL(6, 2)',
  //       length: '6',
  //       point: '2',
  //       null: '允许',
  //       default: '',
  //       type_name: '小数',
  //     },
  //     {
  //       name: '是否优惠',
  //       english_name: 'is_discounted',
  //       type: 'VARCHAR(18)',
  //       length: '18',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '优惠金额',
  //       english_name: 'discount_amount',
  //       type: 'SMALLINT',
  //       length: '',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '整数',
  //     },
  //     {
  //       name: '实际单价',
  //       english_name: 'actual_unit_price',
  //       type: 'DECIMAL(5, 2)',
  //       length: '5',
  //       point: '2',
  //       null: '允许',
  //       default: '',
  //       type_name: '小数',
  //     },
  //     {
  //       name: '实际付款',
  //       english_name: 'actual_payment',
  //       type: 'DECIMAL(6, 2)',
  //       length: '6',
  //       point: '2',
  //       null: '允许',
  //       default: '',
  //       type_name: '小数',
  //     },
  //     {
  //       name: '成本',
  //       english_name: 'cost',
  //       type: 'DECIMAL(7, 3)',
  //       length: '7',
  //       point: '3',
  //       null: '允许',
  //       default: '',
  //       type_name: '小数',
  //     },
  //     {
  //       name: '利润',
  //       english_name: 'profit',
  //       type: 'DECIMAL(6, 3)',
  //       length: '6',
  //       point: '3',
  //       null: '允许',
  //       default: '',
  //       type_name: '小数',
  //     },
  //     {
  //       name: '客户性别',
  //       english_name: 'customer_gender',
  //       type: 'TINYINT',
  //       length: '',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '整数',
  //     },
  //     {
  //       name: '客户年龄',
  //       english_name: 'customer_age',
  //       type: 'VARCHAR(5)',
  //       length: '5',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '会员情况',
  //       english_name: 'membership_status',
  //       type: 'VARCHAR(12)',
  //       length: '12',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '是否访问页面',
  //       english_name: 'has_visited_page',
  //       type: 'VARCHAR(3)',
  //       length: '3',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '访问页面时长',
  //       english_name: 'page_visit_duration',
  //       type: 'TINYINT',
  //       length: '',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '整数',
  //     },
  //     {
  //       name: '交易状态',
  //       english_name: 'transaction_status',
  //       type: 'VARCHAR(12)',
  //       length: '12',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '商品状态',
  //       english_name: 'product_status',
  //       type: 'VARCHAR(9)',
  //       length: '9',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '收货人姓名',
  //       english_name: 'recipient_name',
  //       type: 'VARCHAR(9)',
  //       length: '9',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '收货人电话',
  //       english_name: 'recipient_phone',
  //       type: 'VARCHAR(11)',
  //       length: '11',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '发货地址',
  //       english_name: 'shipping_address',
  //       type: 'VARCHAR(9)',
  //       length: '9',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '收货地址省份',
  //       english_name: 'recipient_province',
  //       type: 'VARCHAR(21)',
  //       length: '21',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '收货地址',
  //       english_name: 'recipient_address',
  //       type: 'VARCHAR(39)',
  //       length: '39',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '物流公司',
  //       english_name: 'logistics_company',
  //       type: 'VARCHAR(15)',
  //       length: '15',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '运单号',
  //       english_name: 'waybill_number',
  //       type: 'VARCHAR(7)',
  //       length: '7',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '运送方式',
  //       english_name: 'shipping_method',
  //       type: 'VARCHAR(12)',
  //       length: '12',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '支付时间',
  //       english_name: 'payment_time',
  //       type: 'VARCHAR(10)',
  //       length: '10',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '预计到达时间',
  //       english_name: 'estimated_arrival_time',
  //       type: 'VARCHAR(10)',
  //       length: '10',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '实际到达时间',
  //       english_name: 'actual_arrival_time',
  //       type: 'VARCHAR(10)',
  //       length: '10',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '快递反馈',
  //       english_name: 'courier_feedback',
  //       type: 'VARCHAR(6)',
  //       length: '6',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '是否退货',
  //       english_name: 'is_returned',
  //       type: 'VARCHAR(3)',
  //       length: '3',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '退款原因',
  //       english_name: 'refund_reason',
  //       type: 'VARCHAR(9)',
  //       length: '9',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '客户满意度',
  //       english_name: 'customer_satisfaction',
  //       type: 'VARCHAR(9)',
  //       length: '9',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '出生日期',
  //       english_name: 'date_of_birth',
  //       type: 'VARCHAR(17)',
  //       length: '17',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '品类',
  //       english_name: 'category',
  //       type: 'VARCHAR(9)',
  //       length: '9',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //     {
  //       name: '材质',
  //       english_name: 'material',
  //       type: 'VARCHAR(6)',
  //       length: '6',
  //       point: '',
  //       null: '允许',
  //       default: '',
  //       type_name: '字符串',
  //     },
  //   ],
  // })
  return httpRequest.get('/api/resource/bi/v1/data/my/field-detail')
}

// 我的数据集列表
export function getChartList(params?: Partial<{ page: number; 'per-page': number }>) {
  return Promise.resolve({
    code: 0,
    message: 'OK',
    data: {
      total: 10,
      list: [
        {
          pk_id: '1',
          type: '柱状图',
          name: '销量统计',
          create_user: 'admin',
          create_time: '2023-07-18 15:00:00',
          update_time: '2023-07-18 15:00:00',
        },
        {
          pk_id: '2',
          type: '折线图',
          name: '销售额趋势',
          create_user: 'admin',
          create_time: '2023-07-18 15:00:00',
          update_time: '2023-07-18 15:00:00',
        },
        {
          pk_id: '3',
          type: '饼图',
          name: '品类分布',
          create_user: 'admin',
          create_time: '2023-07-18 15:00:00',
          update_time: '2023-07-18 15:00:00',
        },
      ],
    },
  })
  return httpRequest.get('/api/resource/bi/v1/data/my/list', { params })
}
